Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.configmbeans
Interface DataSpaceConfigMBean

All Superinterfaces:
  ImmutableDataSpaceConfigMBean

    public interface DataSpaceConfigMBean

extends ImmutableDataSpaceConfigMBean

An MBean to deal with all the configuration operations related to Data Space. The mbean is cluster and session aware.

Field Summary
`static java.lang.String` | `NAME_PREFIX`

Method Summary
`void` | `createServiceAccount(ServiceAccountConfig config)` Creates a service account with the passed details.
`void` | `deleteServiceAccount(java.lang.String serviceAccountName, boolean unmapAll)` Deletes the service account for the passed name.
`void` | `resetAuditConfig()` Resets the audit configuration to the default values in AuditStructures.xml.
`void` | `setAccessControlConfig(AccessControlConfig config)`
`void` | `setAdministratorDefinedProperties(java.util.Map<java.lang.String,java.lang.String> properties)` Replaces the old set of properties with the passed values.
`void` | `setAuditConfig(AuditConfig config)`
`void` | `setDataCacheConfig(DataCacheConfig config)` Updates the data cache information for this data space.
`void` | `setDescription(java.lang.String description)` Sets the description for this data space
`void` | `setLoggingLevel(LoggingLevel level)` Updates the logging level at the data space level.
`void` | `setMemoryManagementConfig(MemoryManagementConfig config)` Updates the memory management config for the data space.
`void` | `setPlanCacheCapacity(int capacity)` Updates the capacity of the plan capacity.
`void` | `setSagaManagementConfig(SagaManagementConfig config)` Updates the saga management configuration for this dataspace.
`void` | `setStreamingConfig(StreamingConfig config)` Updates the streaming configuration for this dataspace.
`void` | `setThreadConfig(ThreadConfig config)` Updates the thread configuration for this data space.
`void` | `updateServiceAccount(ServiceAccountConfig config)` Updates a service account with the passed details.

Methods inherited from interface com.bea.dsp.management.configmbeans.ImmutableDataSpaceConfigMBean
`getAccessControlConfig, getAdministratorDefinedProperties, getAuditConfig, getDataCacheConfig, getDataSourceIdsUsingServiceAccount, getDescription, getId, getLoggingLevel, getMemoryManagementConfig, getPlanCacheCapacity, getSagaManagementConfig, getServiceAccount, getServiceAccountNames, getServiceAccounts, getStreamingConfig, getThreadConfig`

Field Detail

### NAME_PREFIX

    static final java.lang.String NAME_PREFIX

Method Detail

### setDescription

    void setDescription(java.lang.String description)
                        throws java.lang.Exception

  Sets the description for this data space

  Parameters:
    `description` -
  Throws:
    `java.lang.Exception`

### setPlanCacheCapacity

    void setPlanCacheCapacity(int capacity)
                              throws ValidationException,
                                     java.lang.Exception

  Updates the capacity of the plan capacity.

  Parameters:
    `capacity` -
  Throws:
    `ValidationException` - if the passed capacity is negative
    `java.lang.Exception`

### setLoggingLevel

    void setLoggingLevel(LoggingLevel level)
                         throws ValidationException,
                                java.lang.Exception

  Updates the logging level at the data space level.

  Parameters:
    `level` -
  Throws:
    `ValidationException`
    `java.lang.Exception`

### setAdministratorDefinedProperties

    void setAdministratorDefinedProperties(java.util.Map<java.lang.String,java.lang.String> properties)
                                           throws ValidationException,
                                                  java.lang.Exception

  Replaces the old set of properties with the passed values. Empty or null properties will unset all pre defined properties. If any property name or value is null then it throws ValidationException.

  Parameters:
    `properties` -
  Throws:
    `ValidationException` - if either the property name or the value is null.
    `java.lang.Exception`

### setThreadConfig

    void setThreadConfig(ThreadConfig config)
                         throws ValidationException,
                                java.lang.Exception

  Updates the thread configuration for this data space.

  Parameters:
    `config` -
  Throws:
    `ValidationException` - if the validate method in the passed config fail.
    `java.lang.Exception`

### setMemoryManagementConfig

    void setMemoryManagementConfig(MemoryManagementConfig config)
                                   throws ValidationException,
                                          java.lang.Exception

  Updates the memory management config for the data space.

  Parameters:
    `config` -
  Throws:
    `ValidationException`
    `java.lang.Exception`

### setStreamingConfig

    void setStreamingConfig(StreamingConfig config)
                            throws ValidationException,
                                   java.lang.Exception

  Updates the streaming configuration for this dataspace.

  Parameters:
    `config` -
  Throws:
    `ValidationException`
    `java.lang.Exception`

### setSagaManagementConfig

    void setSagaManagementConfig(SagaManagementConfig config)
                                 throws ValidationException,
                                        java.lang.Exception

  Updates the saga management configuration for this dataspace.

  Parameters:
    `config` -
  Throws:
    `ValidationException`
    `java.lang.Exception`

### setDataCacheConfig

    void setDataCacheConfig(DataCacheConfig config)
                            throws ValidationException,
                                   java.lang.Exception

  Updates the data cache information for this data space.

  Parameters:
    `config` -
  Throws:
    `ValidationException` - if the validate method in the passed config fail.
    `java.lang.Exception`

### setAccessControlConfig

    void setAccessControlConfig(AccessControlConfig config)
                                throws ValidationException,
                                       java.lang.Exception

  Parameters:
    `config` -
  Throws:
    `ValidationException`
    `java.lang.Exception`

### setAuditConfig

    void setAuditConfig(AuditConfig config)
                        throws ValidationException,
                               java.lang.Exception

  Parameters:
    `config` -
  Throws:
    `ValidationException`
    `java.lang.Exception`

### resetAuditConfig

    void resetAuditConfig()
                          throws java.lang.Exception

  Resets the audit configuration to the default values in AuditStructures.xml.

  Throws:
    `java.lang.Exception`

### createServiceAccount

    void createServiceAccount(ServiceAccountConfig config)
                              throws java.lang.Exception

  Creates a service account with the passed details.

  Parameters:
    `config` -
  Throws:
    `java.lang.Exception`

### updateServiceAccount

    void updateServiceAccount(ServiceAccountConfig config)
                              throws java.lang.Exception

  Updates a service account with the passed details. Type of service account cannot be changed in update call. Use deleteServiceAccount() followed by createServiceAccount() for that purspose.

  Parameters:
    `config` -
  Throws:
    `java.lang.Exception`

### deleteServiceAccount

    void deleteServiceAccount(java.lang.String serviceAccountName,
                              boolean unmapAll)
                              throws java.lang.Exception

  Deletes the service account for the passed name. If unmapAll is true method will unmap the service account from any physical sources with which it was mapped and then delete the service account. If unmapAll is false then method will delete the service account only if it was not mapped to any physical source otherwise it will throw and exception.

  Parameters:
    `serviceAccountName` -
    `unmapAll` -
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.